from gpiozero import MotionSensor # gpiozeroからモーションセンサーの機能を取り込む
from datetime import datetime
from picamera import PiCamera # カメラに関する機能を取り込む
from signal import pause

sensor = MotionSensor(4)  # GPIO4番ピンを人感センサーに使用
camera = PiCamera()  # カメラを使う準備

def capture():
    timestamp = datetime.now().isoformat()
    camera.capture('/home/pi/{}.jpg'.format(timestamp))  # 絶対パスで写真を保存。相対パスで写真を保存する場合は「/home/pi/{}.jpg」を「./{}.jpg」に

sensor.when_motion = capture  # 人の動きを検知したらcaptureを実行
pause()
